Bug 1396216 - Review Request: aalto-xml - Ultra-high performance non-blocking XML processor (Stax/Stax2, SAX/SAX2)
Summary: Review Request: aalto-xml - Ultra-high performance non-blocking XML processor...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ben Rosser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1359246
TreeView+ depends on / blocked
 
Reported: 2016-11-17 17:58 UTC by gil cattaneo
Modified: 2016-11-28 20:54 UTC (History)
3 users (show)

Fixed In Version: aalto-xml-1.0.0-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-28 20:53:53 UTC
Type: ---
rosser.bjr: fedora-review+


Attachments (Terms of Use)

Description gil cattaneo 2016-11-17 17:58:09 UTC
Spec URL: https://gil.fedorapeople.org/aalto-xml.spec
SRPM URL: https://gil.fedorapeople.org/aalto-xml-1.0.0-1.fc24.src.rpm
Description:
The Aalto XML processor is a next-generation
StAX XML processor implementation. It is not
directly related to other existing mature
implementations (such as Woodstox or
Sun Java Streaming XML Parser), although it
did come about as a prototype for evaluating
implementation strategies that differ from
those traditionally used for Java-based parsers.

Two main goals (above and beyond stock StAX/SAX API
implementation) are:

° Ultra-high performance parsing by making the
  Common Case Fast (similar to original RISC
  manifesto). This may mean limiting functionality,
  but never compromising correctness. XML 1.0
  compliancy is not sacrificed for speed.
° Allowing non-block, asynchronous parsing: it
  should be possible to "feed" more input and
  incrementally get more XML events out, without 
  forcing the current thread to block on I/O
  read operation.
Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=16497347

Comment 1 Thomas Andrejak 2016-11-20 14:04:56 UTC
I'm not a packager yet, hence the review is unofficial.

- Be carefull with 80 columns, even in comments, but when you have space (%description), use it

- On my side, http://wiki.fasterxml.com/AaltoHome is not working

- In %description javadoc, use a more interesting description (We already now that this is a package, and this is the javadoc) or use the same description as the main package

- Why are you doing this :
mv release-notes/asl/ASL2.0 LICENSE
mv release-notes/asl/LICENSE NOTICE

in %files you can use %licence with path

- %files javadoc : %license is only required in main package

Regards

Comment 2 gil cattaneo 2016-11-20 16:52:37 UTC
(In reply to Thomas Andrejak from comment #1)
> I'm not a packager yet, hence the review is unofficial.
> 
> - Be carefull with 80 columns, even in comments, but when you have space
> (%description), use it
? i dont care about this ...
> - On my side, http://wiki.fasterxml.com/AaltoHome is not working
At the moment fasterxml site is offline
> - In %description javadoc, use a more interesting description (We already
> now that this is a package, and this is the javadoc) or use the same
> description as the main package
For me is fine so ...
> - Why are you doing this :
> mv release-notes/asl/ASL2.0 LICENSE
> mv release-notes/asl/LICENSE NOTICE
> 
> in %files you can use %licence with path
No, thanks
> - %files javadoc : %license is only required in main package
NOT true
Before add others comment, please, read our Java packaging guideline/s, and are available here
https://fedora-java.github.io/howto/latest/
https://fedoraproject.org/wiki/Packaging:Java
Thanks and regards
> Regards

Comment 4 Ben Rosser 2016-11-24 22:45:02 UTC
Package looks good to me: APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 152 files have unknown license.
     Detailed output of licensecheck in
     /home/bjr/Programming/fedora/reviews/1396216-aalto-
     xml/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in aalto-
     xml-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: aalto-xml-1.0.0-1.fc26.noarch.rpm
          aalto-xml-javadoc-1.0.0-1.fc26.noarch.rpm
          aalto-xml-1.0.0-1.fc26.src.rpm
aalto-xml.noarch: W: spelling-error %description -l en_US parsers -> parser, parses, parers
aalto-xml.src: W: spelling-error %description -l en_US parsers -> parser, parses, parers
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
aalto-xml.noarch: W: spelling-error %description -l en_US parsers -> parser, parses, parers
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
aalto-xml-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools

aalto-xml (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.codehaus.woodstox:stax2-api)



Provides
--------
aalto-xml-javadoc:
    aalto-xml-javadoc

aalto-xml:
    aalto-xml
    mvn(com.fasterxml:aalto-xml)
    mvn(com.fasterxml:aalto-xml:pom:)
    osgi(com.fasterxml.aalto-xml)



Source checksums
----------------
https://github.com/FasterXML/aalto-xml/archive/aalto-xml-1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : cbff86f9769f8e155fb70bc445908cb9fc24c6519574d8d42c66ebce855b6c26
  CHECKSUM(SHA256) upstream package : cbff86f9769f8e155fb70bc445908cb9fc24c6519574d8d42c66ebce855b6c26


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1396216
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 gil cattaneo 2016-11-24 23:06:09 UTC
Thanks for the review!

create new SCM requests:
https://admin.fedoraproject.org/pkgdb/package/requests/8939

Comment 6 Gwyn Ciesla 2016-11-28 14:14:57 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/aalto-xml

Comment 7 gil cattaneo 2016-11-28 20:53:53 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=16660844


Note You need to log in before you can comment on or make changes to this bug.